Bug 909808 - Review Request: wkhtmltopdf - Simple shell utility to convert html to pdf
Summary: Review Request: wkhtmltopdf - Simple shell utility to convert html to pdf
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-11 07:13 UTC by Mamoru TASAKA
Modified: 2015-02-11 05:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-12 05:52:29 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-02-11 07:13:58 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/wkhtmltopdf/wkhtmltopdf.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/wkhtmltopdf/wkhtmltopdf-0.11.0-0.1.rc1.fc.src.rpm
Description: 
Simple shell utility to convert html to pdf using the webkit
rendering engine, and qt.
Fedora Account System Username: mtasaka

Koji scratch build
F-19: http://koji.fedoraproject.org/koji/taskinfo?taskID=4948714
F-18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4948732

Comment 1 Parag AN(पराग) 2013-02-11 09:51:43 UTC
Review:

+ koji build used http://koji.fedoraproject.org/koji/taskinfo?taskID=4948714

+ rpmlint on rpms gave
wkhtmltopdf.src: W: spelling-error Summary(en_US) html -> HTML, ht ml, ht-ml
wkhtmltopdf.src: W: spelling-error Summary(en_US) pdf -> pd, pf, pd f
wkhtmltopdf.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
wkhtmltopdf.src: W: spelling-error %description -l en_US pdf -> pd, pf, pd f
wkhtmltopdf.src: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
wkhtmltopdf.src: W: invalid-url Source0: http://wkhtmltopdf.googlecode.com/files/wkhtmltopdf-0.11.0_rc1.tar.bz2 HTTP Error 404: Not Found
wkhtmltopdf.x86_64: W: spelling-error Summary(en_US) html -> HTML, ht ml, ht-ml
wkhtmltopdf.x86_64: W: spelling-error Summary(en_US) pdf -> pd, pf, pd f
wkhtmltopdf.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
wkhtmltopdf.x86_64: W: spelling-error %description -l en_US pdf -> pd, pf, pd f
wkhtmltopdf.x86_64: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
wkhtmltopdf.x86_64: W: no-manual-page-for-binary wkhtmltoimage
wkhtmltopdf.x86_64: W: no-manual-page-for-binary wkhtmltopdf
wkhtmltopdf-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 14 warnings.

==> Warnings can be ignored

+ Source verified with upstream as
http://wkhtmltopdf.googlecode.com/files/wkhtmltopdf-0.11.0_rc1.tar.bz2 :
  CHECKSUM(SHA256) this package     : a36dbfc7cc27604b667f278ff8e9c86ced6777cdd1646d585d4e06e473b1905c
  CHECKSUM(SHA256) upstream package : a36dbfc7cc27604b667f278ff8e9c86ced6777cdd1646d585d4e06e473b1905c

+ License is GPLv3+ and included in COPYING as well as individual source headers.

suggestions:
1) Can examples be included in %doc?

APPROVED

Comment 2 Mamoru TASAKA 2013-02-11 12:38:41 UTC
Thank you for review! If you want swap review, please let me know it.

(In reply to comment #1)
> suggestions:
> 1) Can examples be included in %doc?
I will include this to -devel (because these examples are how to use
wkhtmltopdf API)

New Package SCM Request
=======================
Package Name: wkhtmltopdf
Short Description: Simple shell utility to convert html to pdf
Owners: mtasaka
Branches: f18 f17
InitialCC:

Comment 3 Gwyn Ciesla 2013-02-11 13:59:35 UTC
Git done (by process-git-requests).

Comment 4 Mamoru TASAKA 2013-02-12 05:52:29 UTC
Built successfully on F-19/18/17, push requested on F-18/17, now closing.

Thank you for review and git procedure!

Comment 5 Ruediger Landmann 2013-06-07 00:46:28 UTC
Package Change Request
======================
Package Name: wkhtmltopdf
New Branches: el6-docs
Owners: rlandmann

[FYI, Tasaka-san, I am requesting this branch because the Fedora docs project would like to use a version of wkhtmltopdf built against QT just for the docs on the Fedora website. See also my separate review request for the customised QT package here: https://bugzilla.redhat.com/show_bug.cgi?id=955996 ]

Comment 6 Gwyn Ciesla 2013-06-07 12:48:53 UTC
Invalid branch, can has Mamoru OKd this?

Comment 7 Mamoru TASAKA 2013-06-08 05:47:56 UTC
(In reply to Ruediger Landmann from comment #5)
 [FYI, Tasaka-san, I am requesting this branch because the Fedora docs
> project would like to use a version of wkhtmltopdf built against QT just for
> the docs on the Fedora website. See also my separate review request for the
> customised QT package here:
> https://bugzilla.redhat.com/show_bug.cgi?id=955996 ]

Do you want to use wkhtmltopdf-qt on EL6? (I don't know what is EL6-docs
branch). If so, I will wait until how qt maintainers think of this
(see bug 955996 comment 2)

Comment 8 Lubomir Rintel 2014-03-03 14:54:13 UTC
Package Change Request
======================
Package Name: wkhtmltopdf
New Branches: epel7
Owners: lkundrak

The Fedora maintainer is unfortunately not maintaining EPEL packages:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

Comment 9 Gwyn Ciesla 2014-03-03 15:25:07 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.